Minimum Requirements

Shopper Radar is supported on the following iPhone devices:

  • 5
  • 5c
  • 5s
  • 6
  • 6+

And requires iOS v8.1 or higher.

Have more questions? Submit a request

Comments 0